org.jgrapht.graph

## Class UnmodifiableUndirectedGraph<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.GraphDelegator<V,E>
    - - org.jgrapht.graph.UnmodifiableGraph<V,E>
      - - org.jgrapht.graph.UnmodifiableUndirectedGraph<V,E>

- All Implemented Interfaces:
    Serializable, Graph<V,E>, UndirectedGraph<V,E>

      public class UnmodifiableUndirectedGraph<V,E>
      extends UnmodifiableGraph<V,E>
      implements UndirectedGraph<V,E>

  An undirected graph that cannot be modified.
  See Also:
    `UnmodifiableGraph`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnmodifiableUndirectedGraph(UndirectedGraph<V,E> g)` Creates a new unmodifiable undirected graph based on the specified backing graph.

  - ### Method Summary

    - ### Methods inherited from class org.jgrapht.graph.UnmodifiableGraph

      `addEdge, addEdge, addVertex, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex`

    - ### Methods inherited from class org.jgrapht.graph.GraphDelegator

      `containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, setEdgeWeight, toString, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.UndirectedGraph

      `degreeOf`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Constructor Detail

    - #### UnmodifiableUndirectedGraph

          public UnmodifiableUndirectedGraph(UndirectedGraph<V,E> g)

      Creates a new unmodifiable undirected graph based on the specified backing graph.
      Parameters:
        `g` - the backing graph on which an unmodifiable graph is to be created.

Copyright © 2016. All rights reserved.